# List commits

Endpoint: GET /code/api/v1/repos/{repo_identifier}/commits
Version: 1.0
Security: x-api-key

## Query parameters:

  - `accountIdentifier` (string, required)
    Account Identifier for the Entity.

  - `orgIdentifier` (string)
    Organization Identifier for the Entity.

  - `projectIdentifier` (string)
    Project Identifier for the Entity.

  - `git_ref` (string)
    The git reference (branch / tag / commitID) that will be used to retrieve the data. If no value is provided the default branch of the repository is used.

  - `after` (string)
    The result should only contain commits that occurred after the provided reference.

  - `path` (string)
    Path for which commit information should be retrieved

  - `since` (integer)
    Epoch timestamp since when commit information should be retrieved.
    Example: 1728348213

  - `until` (integer)
    Epoch timestamp until when commit information should be retrieved.
    Example: 1746668446

  - `committer` (string)
    Committer pattern for which commit information should be retrieved.

  - `committer_id` (array)
    Committer principal IDs list for which commit information should be retrieved.

  - `author` (string)
    Author pattern for which commit information should be retrieved.

  - `author_id` (array)
    Author principal IDs for which commit information should be retrieved.

  - `page` (integer)
    The page to return.

  - `limit` (integer)
    The maximum number of results to return.

  - `include_stats` (boolean)
    Indicates whether optional stats should be included in the response.

## Path parameters:

  - `repo_identifier` (string, required)

## Response 200 fields (application/json):

  - `commits` (array,null)

  - `commits.author` (object)

  - `commits.author.identity` (object)

  - `commits.author.identity.email` (string)

  - `commits.author.identity.name` (string)

  - `commits.author.when` (string)

  - `commits.committer` (object)

  - `commits.message` (string)

  - `commits.parent_shas` (array)

  - `commits.sha` (string)
    Git object hash

  - `commits.signature` (object,null)

  - `commits.signature.created` (integer)

  - `commits.signature.key_fingerprint` (string)

  - `commits.signature.key_id` (string)

  - `commits.signature.key_scheme` (string)
    Enum: "pgp", "ssh"

  - `commits.signature.result` (string)
    Enum: "bad", "good", "invalid", "key_expired", "revoked", "unsupported", "unverified"

  - `commits.signature.updated` (integer)

  - `commits.stats` (object)

  - `commits.stats.files` (array)

  - `commits.stats.files.changes` (integer)

  - `commits.stats.files.deletions` (integer)

  - `commits.stats.files.insertions` (integer)

  - `commits.stats.files.old_path` (string)

  - `commits.stats.files.path` (string)

  - `commits.stats.files.status` (string)

  - `commits.stats.total` (object)

  - `commits.stats.total.changes` (integer)

  - `commits.stats.total.deletions` (integer)

  - `commits.stats.total.insertions` (integer)

  - `commits.title` (string)

  - `rename_details` (array,null)

  - `rename_details.commit_sha_after` (string)

  - `rename_details.commit_sha_before` (string)

  - `rename_details.new_path` (string)

  - `rename_details.old_path` (string)

  - `total_commits` (integer)

## Response 401 fields (application/json):

  - `message` (string)

  - `values` (object)


